<template>
    <div>
        <crumbs title="医学术语静态知识维护">
            <el-form :inline="true" class="demo-form-inline">
                <el-form-item label="静态知识名称：">
                    <el-input size="mini" v-model="filter.name" placeholder="静态知识名称" clearable></el-input>
                </el-form-item>
                <el-form-item label="标签系统名称：">
                    <el-input size="mini" v-model="filter.tagName" placeholder="标签系统名称" clearable></el-input>
                </el-form-item>
                <el-form-item>
                    <el-button size="mini" @click="filterDatas">确认</el-button>
                    <router-link to="/admin/LT-YXSYKWH-TJYXSYJTZS" style="margin:0 10px">
                        <el-button size="mini" type="warning">添加静态知识</el-button>
                    </router-link>
                </el-form-item>
            </el-form>
        </crumbs>
        <div class="contents">
            <el-table :data="list"
                      border
                      style="width: 100%">
                <el-table-column
                        type="index"
                        :index="indexMethod"
                        label="编号"
                        width="60">
                </el-table-column>
                <el-table-column
                        prop="gmtOperate"
                        label="操作时间"
                        width="180"
                        :show-overflow-tooltip="true">
                </el-table-column>
                <el-table-column
                        prop="name"
                        label="静态知识名称">
                </el-table-column>
                <el-table-column
                        prop="tagName"
                        label="关联标签"
                        width="240">
                </el-table-column>
                <el-table-column
                        prop="operatorName"
                        label="操作人"
                        width="80">
                </el-table-column>

                <el-table-column
                        label="操作" width="120">
                    <template slot-scope="scope">
                        <el-button type="text" size="small" @click="toEditProduct(scope.row)">修改</el-button>
                        <span style="margin:0 3px;">|</span>
                        <el-button type="text" size="small" @click="showDelDialog(scope.row.id)">删除</el-button>
                    </template>
                </el-table-column>
            </el-table>
            <el-pagination v-if="total>pageSize"
                           :current-page.sync="currentPage"
                           @current-change="currentChange"
                           background
                           :page-size="pageSize"
                           layout="total,prev, pager, next, jumper"
                           :total="total">
            </el-pagination>
        </div>

    </div>
</template>

<script>
  import api from '@api/icss.js';
  import utils from '@api/utils.js';

  export default {
    name: 'prompt-info',
    data: function () {
      return {
        list: [],
        cacheData: {},
        currentPage: 1,
        pageSize: 10,
        total: 0,
        linkIn:[],
        pays:[],
        filter: {
          name: '',
          tagName:''
        }
      }
    },
    created() {
      this.getDataList();
    },
    methods: {
      toEditProduct(row){
        this.$router.push({
          name:'AddPromptInfo',
          params: {data:row,isEdit:true}
        })
      },
      filterDatas(){
        this.currentPage = 1;
        this.getDataList();
      },
      getDataList() {
        const param = this.getFilterItems();
        // const param = {
        //   'name':''
        // };
        api.getTremList(param).then((res) => {
          if (res.data.code == '0') {
            const data = res.data.data;
            this.list = data.records;
            this.cacheData[param.current] = data.records;
            this.total = data.total;
          }
        }).catch((error) => {
          console.log(error);
        });
      },
      getDetailList(id) {
        const param = {'id': id,};
        this.$router.push({name:'PromptDetail', params:{id: id}})
      },
      getFilterItems() {
        const param = {
          name:this.filter.name,
          tagName:this.filter.tagName,
          current: this.currentPage,
          size: this.pageSize
        };
        return param;
      },
      indexMethod(index) {
        return ((this.currentPage - 1) * this.pageSize) + index + 1;
      },
      currentChange(next) {
        this.currentPage = next;
        if (this.cacheData[next]) {       //如果已请求过该页数据，则使用缓存不重复请求
          this.list = this.cacheData[next];
        } else {
          this.getDataList();
        }
      },
      warning(msg,type){
        this.$message({
          showClose: true,
          message:msg,
          type:type||'warning'
        })
      },
      showConfirmDialog(msg,resolve){
        this.$alert(msg, '提示', {
          confirmButtonText: '确定',
          type: 'warning'
        }).then(() => {
          resolve();
        }).catch(() => {});
      },
      showDelDialog(id){
        this.showConfirmDialog('是否删除该静态知识？',()=>{
          api.delPromptInfo({id}).then((res)=>{
            if(res.data.code=='0'){
              this.warning(res.data.msg||'操作成功','success');
              this.getDataList();
            }else{
              this.warning(res.data.msg);
            }
          }).catch((error)=>{
            this.warning(error);
          })
        });
      }
    }
  }
</script>

<style lang="less">
    @import "../../less/admin.less";
    .status-span{
        font-size: 12px;
        margin-right:10px;
        color: unset;
    }
</style>